/**
 * Test for TheQuitService.
 * Runs with mocha.
 */
'use strict'

const TheQuitService = require('../lib/TheQuitService')
const {createDB} = require('./_helpers')
const {ok, equal} = require('assert')

describe('the-quit-service', () => {
  before(() => {
  })

  after(() => {
  })

  it('Do test', async () => {
    const db = createDB()
    const {User} = db.resources
    const quitService = new TheQuitService(db.resources)
    const user01 = await User.create({name: 'user01'})
    ok(quitService)
    await quitService.processQuit({
      userId: user01.id
    })
  })
})

/* global describe, before, after, it */
